#include <pspkernel.h>

/* You can either run this code as binary loader. Or separate as binary file */
void _start() __attribute__((section(".text.start")));
void _start()
{
	SceUID (* _sceIoOpen)(const char *file, int flags, SceMode mode) = (void *)0xXXXXXXXX;
	int (* _sceIoRead)(SceUID fd, void *data, SceSize size) = (void *)0xXXXXXXXX;
	int (* _sceIoClose)(SceUID fd) = (void *)0xXXXXXXXX;

	/* Read TN.BIN to scratchpad */
	SceUID fd = _sceIoOpen("ms0:/PSP/SAVEDATA/.../TN.BIN", PSP_O_RDONLY, 0);
	_sceIoRead(fd, (void *)0x40010000, 16 * 1024);
	_sceIoClose(fd);

	/* args: length of savedata path without "TN.BIN" */
	/* argp: the path */
	/* Example: call(28, "ms0:/PSP/SAVEDATA/NPEZ00176/TN.BIN"); */
	void (* call)(SceSize args, void *argp) = (void *)0x00010000;
	call(..., "ms0:/PSP/SAVEDATA/.../TN.BIN");
}